Skip to main content
GET
/
v1
/
pay
/
fixedaddress
/
order
/
query
Query Static Address Order List
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/fixedaddress/order/query \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "total": 1,
    "details": [
      {
        "chain": "ETH",
        "channelId": "123456",
        "currency": "USDT",
        "address": "0x67C30f439D7734f393c2F4a587B198b8F4086Ccb",
        "amount": "0.62345679",
        "status": "PAID",
        "txTime": 1730960078091,
        "fromAddress": "PAzupoupdSYaYoajDcABEUzigBRzewvzN",
        "txHash": "1820949498602496000930038912",
        "transactionId": "343656213785650801"
      }
    ]
  }
}
Queries the static collection order list.

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

Query Parameters

channelId
string
required

Merchant channel name

chain
string
required

Network name

startTime
integer
required

Order creation time start in milliseconds

endTime
integer
required

Order creation time end in milliseconds

page
integer

A non-negative integer starting from 0, indicating the page number

count
integer

A positive integer representing the number of entries displayed per page, with a maximum of 5000

address
string

Collection address

fromAddress
string

Payer address

txHash
string

Transaction Hash

Response

200 - application/json

Successful response

status
enum<string>

API response result, SUCCESS or FAIL.

Available options:
SUCCESS,
FAIL
code
string

Response error code.

errorMessage
string

Error description.

data
object